IMPLEMENTATION MODULE Readout;

   (*$S-,$T- turn off stack and range checking *) 

   IMPORT Screen;
   IMPORT Text;
   IMPORT Resource;
   IMPORT Icon;

   (*------------------------------------------------------------------*)

   PROCEDURE Write (
      VAR String   : (* IN *) ARRAY OF CHAR;
      UpdateRegion : (* IN *) Screen.Box );

   TYPE
      TedInfoPtrType = POINTER TO Icon.Tedinfo;
      DisplayStorage = ARRAY [0..DisplayLength] OF CHAR;
      DisplayType    = POINTER TO DisplayStorage;

   VAR
      Object     : Icon.ObjectPtr;
      TedInfoPtr : TedInfoPtrType;
      Display    : DisplayType;

   BEGIN
      Object     := Icon.GetAddress ( Resource.D9CALC, Resource.D9DISPLY );
      TedInfoPtr := TedInfoPtrType (Object^.Spec);
      Display    := Text.StringPtr (TedInfoPtr^.Text);
      Text.Assign ( String, Display^ );
      Icon.Display ( Resource.D9CALC, Resource.D9DISPLY, UpdateRegion );
   END Write;

END Readout.

